<?php

/**
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @package clearFusionCMS\module\campaignmonitor
 * @copyright Copyright (c) 2013 clearFusionCMS. All rights reserved.
 * @link http://clearfusioncms.com
 */

/**
 * campaignmonitorEvents Class
 *
 * Class to process module events.
 *
 * @package clearFusionCMS\module\campaignmonitor
 */
class campaignmonitorEvents {

	/**
	 * Event handler for adding subscribers.
	 *
	 * @param flEvent $evt The event object.
	 */
	function onSubscribe($evt) {
		$cm = new campaignmonitor();
		$cm->subscribe(
			$evt->getParam('listId'),
			$evt->getParam('email'),
			$evt->getParam('firstName') . ' ' . $evt->getParam('lastName'),
			array()
		);
	}

	/**
	 * Event handler for removing subscribers.
	 *
	 * @param flEvent $evt The event object.
	 */
	function onUnsubscribe($evt) {
		$cm = new campaignmonitor();
		$cm->unsubscribe($evt->getParam('listId'), $evt->getParam('email'));
	}

	/**
	 * Event handler for testing presence of subscribers.
	 *
	 * @param flEvent $evt The event object.
	 */
	function onIsSubscribed($evt) {
		$cm = new campaignmonitor();
		if($subscriber = $cm->getSubscriber($evt->getParam('listId'), $evt->getParam('email'))) {
			$evt->setParam('isSubscribed', true);
			$evt->stopPropagation();
		}
	}
}
